<?php
/**
 * @file
 * atom_partners_feature.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function atom_partners_feature_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "context" && $api == "context") {
    return array("version" => "3");
  }
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function atom_partners_feature_views_api($module = NULL, $api = NULL) {
  return array("api" => "3.0");
}

/**
 * Implements hook_image_default_styles().
 */
function atom_partners_feature_image_default_styles() {
  $styles = array();

  // Exported image style: partner_logo.
  $styles['partner_logo'] = array(
    'name' => 'partner_logo',
    'effects' => array(
      3 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'dimensions callback' => 'image_scale_dimensions',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 270,
          'height' => 270,
          'upscale' => 0,
        ),
        'weight' => 1,
      ),
    ),
    'label' => 'partner_logo',
  );

  return $styles;
}

/**
 * Implements hook_node_info().
 */
function atom_partners_feature_node_info() {
  $items = array(
    'partner' => array(
      'name' => t('Partner'),
      'base' => 'node_content',
      'description' => t('Use for adding partners.'),
      'has_title' => '1',
      'title_label' => t('Name'),
      'help' => '',
    ),
  );
  drupal_alter('node_info', $items);
  return $items;
}
